### Method

# Gtk Assistantset_current_page

deprecated: 4.10

#### Declaration [src]

    void
    gtk_assistant_set_current_page (
      GtkAssistant* assistant,
      int page_num
    )

#### Description [src]

Switches the page to `page_num`.

Note that this will only be necessary in custom buttons, as the `assistant` flow can be set with gtk_assistant_set_forward_page_func().

Deprecated since: 4.10

This widget will be removed in GTK 5

#### Parameters

`page_num`

  Type: `int`

  Index of the page to switch to, starting from 0. If negative, the last page will be used. If greater than the number of pages in the `assistant`, nothing will be done.